Package com.databricks.jdbc.client.impl.helper

## Class MetadataResultConstants

- java.lang.Object
- - com.databricks.jdbc.client.impl.helper.MetadataResultConstants

    public class MetadataResultConstants
    extends Object

### Field Summary

Fields
`static List<ResultColumn>` `CATALOG_COLUMNS`
`static List<ResultColumn>` `COLUMN_COLUMNS`
`static List<ResultColumn>` `COLUMN_COLUMNS_ALL_PURPOSE`
`static String[]` `DEFAULT_TABLE_TYPES`
`static List<ResultColumn>` `EXTRA_COLUMN_COLUMNS`
`static List<ResultColumn>` `FUNCTION_COLUMNS`
`static List<ResultColumn>` `FUNCTION_COLUMNS_ALL_PURPOSE`
`static String` `NULL_STRING`
`static List<ResultColumn>` `PRIMARY_KEYS_COLUMNS`
`static List<ResultColumn>` `PRIMARY_KEYS_COLUMNS_ALL_PURPOSE`
`static List<ResultColumn>` `SCHEMA_COLUMNS`
`static List<ResultColumn>` `TABLE_COLUMNS`
`static List<ResultColumn>` `TABLE_COLUMNS_ALL_PURPOSE`
`static List<ResultColumn>` `TABLE_TYPE_COLUMNS`
`static List<List<Object>>` `TABLE_TYPES_ROWS`
`static List<ResultColumn>` `TYPE_INFO_COLUMNS`

### Constructor Summary

Constructors
`MetadataResultConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TABLE_TYPES

    public static final String[] DEFAULT_TABLE_TYPES

#### FUNCTION_COLUMNS

    public static List<ResultColumn> FUNCTION_COLUMNS

#### COLUMN_COLUMNS

    public static List<ResultColumn> COLUMN_COLUMNS

#### EXTRA_COLUMN_COLUMNS

    public static List<ResultColumn> EXTRA_COLUMN_COLUMNS

#### CATALOG_COLUMNS

    public static List<ResultColumn> CATALOG_COLUMNS

#### SCHEMA_COLUMNS

    public static List<ResultColumn> SCHEMA_COLUMNS

#### TABLE_COLUMNS

    public static List<ResultColumn> TABLE_COLUMNS

#### TABLE_COLUMNS_ALL_PURPOSE

    public static List<ResultColumn> TABLE_COLUMNS_ALL_PURPOSE

#### PRIMARY_KEYS_COLUMNS

    public static List<ResultColumn> PRIMARY_KEYS_COLUMNS

#### TABLE_TYPES_ROWS

    public static List<List<Object>> TABLE_TYPES_ROWS

#### TABLE_TYPE_COLUMNS

    public static List<ResultColumn> TABLE_TYPE_COLUMNS

#### PRIMARY_KEYS_COLUMNS_ALL_PURPOSE

    public static List<ResultColumn> PRIMARY_KEYS_COLUMNS_ALL_PURPOSE

#### FUNCTION_COLUMNS_ALL_PURPOSE

    public static List<ResultColumn> FUNCTION_COLUMNS_ALL_PURPOSE

#### COLUMN_COLUMNS_ALL_PURPOSE

    public static List<ResultColumn> COLUMN_COLUMNS_ALL_PURPOSE

#### NULL_STRING

    public static String NULL_STRING

#### TYPE_INFO_COLUMNS

    public static List<ResultColumn> TYPE_INFO_COLUMNS

### Constructor Detail

#### MetadataResultConstants

    public MetadataResultConstants()